//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#include "cbase.h"
#include "hl2wars/rts_playerlocaldata.h"
//#include "player.h"
//#include "mathlib.h"
//#include "entitylist.h"
//#include "playernet_vars.h"
//#include "tier0/vprof.h"

// memdbgon must be the last include file in a .cpp file!!!
#include "tier0/memdbgon.h"

//=============================================================================

BEGIN_SEND_TABLE_NOBASE( CHLWPlayerLocalData, DT_HLWLocal )
	SendPropInt		(SENDINFO(m_iLevelRTS), 4, SPROP_UNSIGNED ),
	SendPropInt		(SENDINFO(m_iNumSelected), 6, SPROP_UNSIGNED ),
	SendPropArray3( SENDINFO_ARRAY3(m_hSelectedUnits), SendPropEHandle( SENDINFO_ARRAY(m_hSelectedUnits) ) ),
	SendPropInt		(SENDINFO(m_iResources), 13, SPROP_UNSIGNED ),
	SendPropInt		(SENDINFO(m_iSelectionType), 4, SPROP_UNSIGNED ),
	SendPropEHandle		( SENDINFO( m_hSelected)),
	SendPropInt		(SENDINFO(m_iHighLightedUnit), 4, SPROP_UNSIGNED ),
	SendPropInt		(SENDINFO(m_iSelectedAbility), 4, SPROP_UNSIGNED ),
	SendPropInt		(SENDINFO(m_bShowProgressQueue), 1, SPROP_UNSIGNED ),
	SendPropInt		(SENDINFO(m_nBehaviorButtonsState), 2, SPROP_UNSIGNED ),
END_SEND_TABLE()


BEGIN_SIMPLE_DATADESC( CHLWPlayerLocalData )
	DEFINE_FIELD( m_iLevelRTS,				FIELD_INTEGER ), 
	DEFINE_FIELD( m_iNumSelected,				FIELD_INTEGER ),
	DEFINE_ARRAY( m_hSelectedUnits,			FIELD_EHANDLE, MAXSELECTED ),
	DEFINE_FIELD( m_iResources,				FIELD_INTEGER ),
	DEFINE_FIELD( m_iSelectionType,			FIELD_INTEGER ),
	DEFINE_FIELD( m_hSelected,				FIELD_EHANDLE ),
	DEFINE_FIELD( m_bShowProgressQueue,		FIELD_BOOLEAN ),
	DEFINE_FIELD( m_iHighLightedUnit,			FIELD_INTEGER ),
	DEFINE_FIELD( m_iSelectedAbility,			FIELD_INTEGER ),
	DEFINE_FIELD( m_nBehaviorButtonsState,			FIELD_INTEGER ),
END_DATADESC()

//-----------------------------------------------------------------------------
// Purpose: Constructor.
//-----------------------------------------------------------------------------
CHLWPlayerLocalData::CHLWPlayerLocalData()
{
	m_bShowProgressQueue = true;
}
